# SpigotSerializable

interface SpigotSerializable<T>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
toSpigot
Link copied to clipboard

Converts this serializable object into the corresponding spigot object.

abstract fun toSpigot(): T
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard

## Inheritors

SerializableLocation
Link copied to clipboard
SerializableVector
Link copied to clipboard

## Extensions

serialize
Link copied to clipboard
fun SpigotSerializable<*>.serialize(pretty: Boolean): String
Content copied to clipboard